TimeBasket Class Reference

Distribution over a number of dates. More...

`#include <ql/cashflows/timebasket.hpp>`

Inherits map< K, T >.

## Public Member Functions

| TimeBasket (const std::vector< Date > &dates, const std::vector< Real > &values)
Algebra
TimeBasket & | operator+= (const TimeBasket &other)
TimeBasket & | operator-= (const TimeBasket &other)
Other methods
TimeBasket | rebin (const std::vector< Date > &buckets) const
| redistribute the entries over the given dates

## Map interface

typedef super::iterator | iterator
typedef super::const_iterator | const_iterator
typedef super::reverse_iterator | reverse_iterator
typedef super::const_reverse_iterator | const_reverse_iterator
bool | hasDate (const Date &) const
| membership

## Detailed Description

Distribution over a number of dates.